Summary:	Reimplement libdjb under GPL
Name:		libowfat
Version:	0.27
Release:	%mkrel 3
License:	GPLv2+
Group:		Development/C
URL:		http://www.fefe.de/libowfat/
Source0:	http://www.fefe.de/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://www.fefe.de/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:	dietlibc-devel >= 0.32
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libowfat is a library of general purpose APIs extracted from Dan
Bernstein's software, reimplemented and covered by the GNU General
Public License Version 2 (no later versions).

The API has been slightly extended (for example, I provide a
uint32_read function, and I extended the socket API to support
IPv6) where I found it necessary or beneficial in a specific
project.

Many of the functions I implement here have since been placed in
the public domain, so there are other sources to get this code
(except for my extensions obviously).  The implementations here
may not be as portable as the original versions; I tend to focus
on the Single Unix Specification and not on some obsolete legacy
systems found in the basements of some vintage hardware clubs.

I also provide man pages for many functions, mostly extracted from
Dan's web documentation or documentation found in earlier versions
of his software.  For some reason, he abandoned man pages in favor
of HTML recently.

On July 4 2002, Dan also placed his DNS routines and supporting
low level functions in the public domain, so I copy them here
instead of reimplementing them.

http://online.securityfocus.com/archive/1/280642
has an online version of the bugtraq posting.

%package -n	%{name}-devel
Summary:	Static library and header files for the %{name} library
Group:		Development/C
Requires:	dietlibc-devel >= 0.32

%description -n	%{name}-devel
libowfat is a library of general purpose APIs extracted from Dan
Bernstein's software, reimplemented and covered by the GNU General
Public License Version 2 (no later versions).

The API has been slightly extended (for example, I provide a
uint32_read function, and I extended the socket API to support
IPv6) where I found it necessary or beneficial in a specific
project.

Many of the functions I implement here have since been placed in
the public domain, so there are other sources to get this code
(except for my extensions obviously).  The implementations here
may not be as portable as the original versions; I tend to focus
on the Single Unix Specification and not on some obsolete legacy
systems found in the basements of some vintage hardware clubs.

I also provide man pages for many functions, mostly extracted from
Dan's web documentation or documentation found in earlier versions
of his software.  For some reason, he abandoned man pages in favor
of HTML recently.

On July 4 2002, Dan also placed his DNS routines and supporting
low level functions in the public domain, so I copy them here
instead of reimplementing them.

http://online.securityfocus.com/archive/1/280642
has an online version of the bugtraq posting.

%prep

%setup -q

%build
make -f GNUmakefile \
    prefix="%{_libdir}/dietlibc" \
    DIET="%{_bindir}/diet -Os"

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/dietlibc

make -f GNUmakefile \
    prefix="%{buildroot}%{_libdir}/dietlibc" \
    LIBDIR="%{buildroot}%{_libdir}/dietlibc/lib" \
    DIET="%{_bindir}/diet -Os" \
    MAN3DIR="%{buildroot}%{_mandir}/man3" \
    install

# fix conflicting file (from openssl-devel)
mv %{buildroot}%{_mandir}/man3/buffer.3 \
    %{buildroot}%{_mandir}/man3/buffer-libowfat.3

%clean
rm -rf %{buildroot}

%files -n %{name}-devel
%defattr(-,root,root)
%doc CHANGES README
%{_libdir}/dietlibc/lib/libowfat.a
%{_libdir}/dietlibc/include/*.h
%{_mandir}/man3/*


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.27-3mdv2009.0
+ Revision: 267985
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.27-2mdv2009.0
+ Revision: 217541
- rebuilt against dietlibc-devel-0.32

* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 0.27-1mdv2008.1
+ Revision: 161360
- New version 0.27

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.24-1mdv2008.1
+ Revision: 136557
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.24-1mdv2007.0
+ Revision: 94247
- Import libowfat

* Sat Apr 29 2006 Oden Eriksson <oeriksson@mandriva.com> 0.24-1mdk
- 0.24

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.21-1mdk
- 0.21

* Fri Aug 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.20-1mdk
- 0.20

* Tue Jun 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.19.2-1mdk
- 0.19.2

